<!DOCTYPE html>
<html lang="es">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  	<meta name="author" content="Joan Estrada" />
  	<meta name="description" content="group page of Web APP"/>
    <link rel="icon" href="images/favicon/favicon16x16.ico" type="image/ico">
    <!-- favicon-16x16.png -->
    <link rel="icon" href="images/favicon/favicon32x32.ico" type="image/ico">
    <!-- favicon-32x32.png -->
    <title>Digital notebook</title>
    <!-- Related CSS file -->
  	<link href="./css/style.css" rel="stylesheet" type="text/css">
    <!-- Link to jQuery library -->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
</head>

<body>
    <!-- related javascript file-->
    <script src="scripts.js"></script>
<!-- PHP code -->
<?php
  // Database connection variables
  $servername = "localhost";
  $username = "root";
  $DBpassword = "bd-gm";
  $database = "digital_notebook";

  // Get group id from URL
  if(isset($_GET['group'])){
       $id=$_GET['group'];
  }

  // Create connection to databse
  $conn = new mysqli($servername, $username, $DBpassword, $database);

  // Check if connection works
  if ($conn->connect_error) {
      // If connection doesn't work show error warning
      die("La connexión con la base de datos ha fallado: " . $conn->connect_error);
  }
  // If connection works
  else {
    // Get id of the user owner of the group
    $sql = "SELECT user_id FROM groups WHERE id='$id'";
    $result = $conn->query($sql);
    $row = $result->fetch_assoc();
    $user = $row['user_id'];

    // Get name of the group
    $sql = "SELECT class_group FROM groups WHERE id ='$id'";
    $result = $conn->query($sql);
    $row = $result->fetch_assoc();
    $group = $row ['class_group'];

// Close PHP code fragment
?>

<!-- Button that returns app to menu page -->
<div class="goBackBig" title="Volver al menú" onclick="window.location='menu.php?user=<?php echo $user ?>'">
  <span class="arrow_right"></span>
</div>
<!-- Header id is equal to group id -->
<!-- Header shows group name -->
<h2 id=<?=$id?> class="group_header"><?=$group?></h2>
<div class="editDiv" title="Editar grupo">
  <!-- Image that opens form to edit group data - using jQuery - -->
  <img class="edit" src="images/edit/editO.png">
</div>
<!-- Div that allows to delete group from database - using JQuery -->
<div class="delete" title="Eliminar" data-id="<?php echo $id ?>">X</div>
<!-- When form is submit executes edit.php file -->
<form id="editGroup" class="openForm" action="edit.php?group=<?php echo $id ?>" method="post">

    <select name="level" required>
        <option value="" disabled selected hidden>Nivel del curso</option>
        <option value="1">1.º</option>
        <option value="2">2.º</option>
        <option value="3">3.º</option>
        <option value="4">4.º</option>
        <option value="5">5.º</option>
        <option value="6">6.º</option>
    </select>
    <select name="name" required>
        <option value="" disabled selected hidden>Nombre del curso</option>
        <option value="Primaria">Primaria</option>
        <option value="ESO">ESO</option>
        <option value="Bachillerato">Bachillerato</option>
        <option value="CFGM">CFGM</option>
        <option value="CFGS">CFGS</option>
    </select>
    <select name="group" required>
        <option value="" disabled selected hidden>Grupo</option>
        <option value="A">A</option>
        <option value="B">B</option>
        <option value="C">C</option>
        <option value="D">D</option>
        <option value="E">E</option>
        <option value="F">F</option>
    </select>
    <input type="submit" value="CONFIRMAR">

</form>
<!-- PHP code -->
<?php
      // New request to database
      $sql = "SELECT id,name_surnames FROM students WHERE group_id ='$id'";
      $result = $conn->query($sql);
      // If request return one row or more
      if ($result->num_rows > 0){
          // Set default timezone
          date_default_timezone_set('Europe/Andorra');
          // Get current date
          $date = date('d/m/Y');

            // Output data of each row
            while($row = $result->fetch_assoc()) {
                $name = $row['name_surnames'];
                $studentId = $row['id'];
                ?>

                <!-- A block of html code is generated for each group registered in the database -->
                <!-- Parent div id is equal to each group id -->
                <div id="<?=$studentId?>">
                    <div class="student" title="Nombre alumno"><?=$name?></div>
                    <div class="date" title="Fecha"><?=$date?></div>
                    <input type="number" name="score" placeholder="Nota" title="Nota">
                    <input type="number" name="weight" placeholder="%" title="Peso de la nota">
                    <button type="button" name="saveScore" title="guardar nota">Guardar Nota</button>
                    <button type="button" name="delay" title="Retraso del alumno">Retraso</button>
                    <button type="button" name="absence" title="Falta de asistencia">Falta</button>
                    <button type="button" name="incidence" title="Incidencia">Incidencia</button>
                </div>
                <?php
            }
      }
  }
// Close connection
$conn->close();
// Close PHP code fragment
?>

<!-- Section to register a new student to the group -->
<!-- Clicking on the header opens a form -->
<h3 id="newStudentH" title="Introduce un nuevo alumno al grupo">INTRODUCE UN NUEVO ALUMNO</h3>
<form id="newGroupStudent" class="newStudentF" action="newStudent.php" method="post">
        <input type="hidden" name="groupId" value="<?=$id?>" />
    <p>
        <input type="text" name="studentName" placeholder="Nombre y apellidos*" required/>
        <input type="number" name="studentAge" placeholder="Edad*" required/>
        <input type="text" name="studentDNI" placeholder="DNI (si tiene)" maxlength="9"/>
        <input type="text" name="studentEmail" placeholder="Correo electrónico*" required/>
    </p>
    <p>
        <input type="text" name="legalGuardian" placeholder="Nombre y apellidos del tutor legal*" required/>
        <input type="text" name="legalGuardianEmail" placeholder="Correo electrónico del tutor legal*" required/>
    </p>
    <input type="submit" name="newStudentDB" value="CONFIRMAR">
</form>

</body>
</html>
