<!DOCTYPE html>
<html lang="es">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  	<meta name="author" content="Joan Estrada" />
  	<meta name="description" content="Connexion to database to manage new user registration"/>
    <!-- favicon-16x16 -->
    <link rel="icon" href="images/favicon/favicon16x16.ico" type="image/ico">
    <!-- favicon-32x32 -->
    <link rel="icon" href="images/favicon/favicon32x32.ico" type="image/ico">
    <title>Digital Notebook</title>
    <!-- Related CSS file -->
    <link href="./css/style.css" rel="stylesheet" type="text/css">
    <!-- Link to jQuery library -->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
</head>
<body>
  <!-- Related javascript file -->
  <script src="scripts.js"></script>
  <!-- PHP code -->
<?php
  // PHP mailer library
  error_reporting(E_ALL);
  use PHPMailer\PHPMailer\PHPMailer;
  use PHPMailer\PHPMailer\Exception;
  require 'PHPMailer/src/Exception.php';
  require 'PHPMailer/src/PHPMailer.php';
  require 'PHPMailer/src/SMTP.php';

  // Database connection variables
  $servername = "localhost";
  $username = "root";
  $DBpassword = "bd-gm";
  $database = "digital_notebook";

  // Form fields values are assigned to PHP variables
  $userReg = $_POST['userReg'];
  $email = $_POST['email'];
  $passwordReg = $_POST['passwordReg'];
  $passwordVal = $_POST['passwordVal'];

  // Create connection to database
  $conn = new mysqli($servername, $username, $DBpassword, $database);

  // Check if connection works
  if ($conn->connect_error) {
      // If connection doesn't work show error warning
      die("La connexión con la base de datos ha fallado: " . $conn->connect_error);
  }
  // If connection works
  else {
      // Executes functions that validates if
      validateUser($userReg, $conn);                  // User field is correctly filled
      validateEmail($email, $conn);                   // Email is correctly filled
      validatePassword($passwordReg, $passwordVal);   // Password fields are correctly filled

      // If all fields are validated
      if (validateUser($userReg, $conn) and validateEmail($email, $conn) and validatePassword($passwordReg, $passwordVal)) {

          // Set query to insert form values to database
          $sql = "INSERT INTO users (user_name,email, password ) VALUES ('$userReg','$email','$passwordReg')";

          // App send a message to user's email address
          // New PHPMailer class instance
          $mail = new PHPMailer(true);
          // SMTP options
          $mail->SMTPOptions = array(
            'ssl' => array(
            'verify_peer' => false,
            'verify_peer_name' => false,
            'allow_self_signed' => true
            )
          );

          // Email message
          $msg = nl2br("Hola,\n\nTe has registrado con éxito en la aplicación Digital Notebook. Tus datos de registro son los siguientes:\n\nUsuario: $userReg\nPassword: $passwordReg\n\nEsperamos que disfrutes de la aplicación!");

          // Email server and message settings
          try{
              $mail->IsHTML(true);
              $mail->IsSMTP();
              $mail->SMTPAuth = true;
              $mail->SMTPSecure = 'tsl';
              $mail->Host = 'smtp.gmail.com';
              $mail->Port = 587;
              $mail->Username = 'digital.notebookuoc@gmail.com';
              $mail->Password = 'graumultimedia';
              $mail->setFrom('digital.notebookuoc@gmail.com', 'Joan Estrada');
              $mail->Subject = 'Digital Notebook';
              $mail->Body = $msg;
              $mail->AddAddress($email);
              // If mail is sent
              if ($mail->send()) {
                // Control variable is true
                $control = true;
              }
            }
            // If mail is not sent
            catch (Exception $e) {
                echo 'Message could not be sent.';
                echo 'Mailer Error: ' . $mail->ErrorInfo;
            // Control variable is false
            $control = false;
          }

          // If query is executed and mail is sent
          if ($conn->query($sql) === TRUE and $control === true) {
              // Shows alert and redirects user to menu of APP
              echo  "
                    <script type=\"text/javascript\">
                        alert('Registro correcto. Te hemos enviado un correo electrónico con tu nombre de usuario y password a la dirección que has indicado.');
                        window.location.href='logIn.html';
                    </script>
                    ";
          }
          // If query is not executed and mail is not sent
          else {
              // Shows alert and redirects user to new user register
              echo  "
                    <script type=\"text/javascript\">
                        alert('El registro ha fallado. Intentalo de nuevo');
                        window.location.href='newUser.html';
                    </script>
                    ";
              }
          }
        }

  // Functions
  // Function to validate if username field is correctly filled
  function validateUser($userReg, $conn) {

    // If user field is empt
    if($userReg == "") {
        // Return to html page whith a url fragment identifier
        echo  "
              <script type=\"text/javascript\">
                  window.location.href='newUser.html#emptyUser';
              </script>
              ";
    }

    // Query to database
    $sql = "SELECT * FROM users WHERE user_name='$userReg'";
    $result = $conn->query($sql);

    // If username already exists in the database
    if ($result->num_rows == 1) {
        // store username value and return to html page whith a url fragment identifier
        echo  "
              <script type=\"text/javascript\">
                  localStorage.setItem('userReg','$userReg');
                  window.location.href='newUser.html#existingUser';
              </script>
              ";
    }
    // If is all correct return true
    else {
        return true;
      }
    }

    // Function to validate if email field is correctly filled
    function validateEmail($email, $conn) {

      // Query to database
      $sql = "SELECT email FROM users WHERE email='$email'";
      $result = $conn->query($sql);

      // If email already exists in the database
      if ($result->num_rows == 1) {
          // store email value and return to html page whith a url fragment identifier
          echo  "
                <script type=\"text/javascript\">
                    localStorage.setItem('email','$email');
                    window.location.href='newUser.html#existingEmail';
                </script>
                ";
      }
      // If email format is not correct
      else if (!filter_var($email, FILTER_VALIDATE_EMAIL)) {
          // Redirect app to html page with a url fragment identifier
          echo  "
                <script type=\"text/javascript\">
                    window.location.href='newUser.html#invalidEmail';
                </script>
                ";
      }
      // If is all correct return true
      else {
          return true;
      }
    }

    // Function to validate if password fields are correctly filled
    function validatePassword($passwordReg, $passwordVal) {
      // If password has not 8 characters redirect app to html page with a url fragment identifier
      if(strlen($passwordReg) !== 8) {
          echo  "
                <script type=\"text/javascript\">
                    window.location.href='newUser.html#invalidPasswordLength';
                </script>
                ";
      }
      // If password validation fiel value is not the same tha password fiel
      else if($passwordVal !== $passwordReg) {
            // Redirect app to html page with a url fragment identifier
          echo "
                <script type=\"text/javascript\">
                    window.location.href='newUser.html#invalidPasswordVal';
                </script>
                ";
      }
      // If is all correct return true
      else {
          return true;
      }
    }
 // Close connection
 $conn->close();
// Close PHP code fragment
?>

</body>
</html>
