<!DOCTYPE html>
<html lang="es">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  	<meta name="author" content="Joan Estrada" />
  	<meta name="description" content="student data"/>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
    <link rel="icon" href="images/favicon/favicon16x16.ico" type="image/ico">
    <!-- favicon-16x16.png -->
    <link rel="icon" href="images/favicon/favicon32x32.ico" type="image/ico">
    <!-- favicon-32x32.png -->
    <title>Digital notebook</title>
    <!-- Related CSS file -->
  	<link href="./css/style.css" rel="stylesheet" type="text/css">
    <!-- Link to jQuery library -->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
</head>

<body>
  <!-- Related javascript file -->
  <script src="scripts.js"></script>

<!-- PHP code -->
<?php

  // Database connection variables
  $servername = "localhost";
  $username = "root";
  $DBpassword = "bd-gm";
  $database = "digital_notebook";

  // Get dtudent id from URL
  if(isset($_GET['student'])){
     $studentId=$_GET['student'];
  }

  // Create connection to databse
  $conn = new mysqli($servername, $username, $DBpassword, $database);

  // Check if connection works
  if ($conn->connect_error) {
      // If connection doesn't work show error warning
      die("La connexión con la base de datos ha fallado: " . $conn->connect_error);
  }
  // If connection works
  else {
      // Get student data from the database
      $sql = "SELECT name_surnames, age, DNI, email, legal_guardian, legal_guardian_email, group_id FROM students WHERE id='$studentId'";
      $result = $conn->query($sql);
      $row = $result->fetch_assoc();

      // Assign student data to PHP variables
      $name = $row['name_surnames'];
      $age = $row['age'];
      $DNI = $row['DNI'];
      $email = $row['email'];
      $legalGuardian = $row['legal_guardian'];
      $legalGuardianEmail = $row['legal_guardian_email'];
      $groupId = $row['group_id'];

      // Variable to search student image by his/her name
      $imageUrl = preg_replace('/\s+/', '', $name);
  }
// Close PHP code fragment
?>

<!-- Button that returns app to group page -->
<div class="goBackBig" title="Volver al menú" onclick="window.location='group.php?group=<?php echo $groupId ?>'">
  <span class="arrow_right"></span>
</div>
<!-- Header id is equal to student id -->
<!-- Header shows student name -->
<h2 id=<?=$studentId?> class="name_header"><?=$name?></h2>
<div class="editDiv" title="Editar los datos del alumno">
  <!-- Button that opens form to edit student data - using jQuery - -->
  <img class="edit" src="images/edit/editO.png">
</div>
<!-- Div that allows to delete student from database - using JQuery -->
<div class="delete" title="Eliminar" data-id="<?php echo $studentId ?>">X</div>
  <!-- When form is submit executes editStudent.php file -->
  <form id ="editStudentForm"class="newStudentF" action="editStudent.php?student=<?=$studentId?>" method="post">
      <p>
          <!-- Current student data stored in the database is shown inside inputs -->
          <input type="text" name="studentName" value="<?php echo $name ?>" required/>
          <input type="number" name="studentAge" value="<?php echo $age ?>" required/>
          <input type="text" name="studentDNI" value="<?php echo $DNI ?>" maxlength="9"/>
          <input type="text" name="studentEmail" value="<?php echo $email ?>" required/>
      </p>
      <p>
          <input type="text" name="legalGuardian" value="<?php echo $legalGuardian ?>" required/>
          <input type="text" name="legalGuardianEmail" value="<?php echo $legalGuardianEmail ?>" required/>
      </p>
      <input type="submit" name="newStudentDB" value="CONFIRMAR">
  </form>

  <!-- Stored student image is shown on screen -->
  <div style="background-image: url(images/students/<?php echo $imageUrl ?>.png)" id="studentImg"></div>

  <!-- Student data is shown on screen -->
  <ul id="studentData">
    <li>Nombre: <span class="color"><?=$name?></span></li>
    <li>Edad: <span class="color"><?=$age?></span></li>
    <li>DNI: <span class="color"><?=$DNI?></span></li>
    <li>Email: <span class="color"><?=$email?></span></li>
    <li>Tutor legal: <span class="color"><span class="color"><?=$legalGuardian?></span></li>
    <li>Email del tutor legal: <span class="color"><?=$legalGuardianEmail?></span></li>
  </ul>

  <!-- Open PHP code -->
  <?php

  // Get scores of the student
  $sql = "SELECT score, weight FROM scores WHERE student_id='$studentId'";
  $result = $conn->query($sql);

  // The weighted average grade is calculated
  $scoreM = 0;
  while($row = $result->fetch_assoc()) {
      $scoreM += ($row['score'] * $row['weight']/100);
  }

  // Get total number of absences of the student
  $sql = "SELECT COUNT(*) AS absences FROM absences WHERE student_id='$studentId'";
  $result = $conn->query($sql);
  $row = $result->fetch_assoc();
  $absences = $row ['absences'];
  // Close PHP code
  ?>

  <!-- Show current average grade of the student -->
  <div id="score" title="Clicar para cambiar la nota media que necesita el alumno para aprobar">Nota media actual del alumno:<span id="studentMediumScore" class="color"> <?=$scoreM?></span></div>
  <!-- Show current number of absences of the student -->
  <div id="totalAbsences" title="Clicar para cambiar el número de faltas de asistencia permitidas">Faltas de assistencia:<span id="studentAbscences" class="color"> <?=$absences?></span></div>
  <!-- Headings of the lists of scores, delays, absences and incidences -->
  <div id="scores" title="Listado de notas">NOTAS</div>
  <div id="delays" title="Listado de retrasos">RETRASOS</div>
  <div id="absences" title="Listado de faltas de assistencia">AUSENCIAS</div>
  <div id="incidences" title="Listado de incidencias">INCIDENCIAS</div>

  <!-- Scores list -->
  <div id="scoresWrapper">
    <ul id="scoresList">
    <!-- Open PHP code -->
    <?php
          // Get scores data from database
          $sql = "SELECT id, score, dat, weight FROM scores WHERE student_id ='$studentId'";
          $result = $conn->query($sql);
              // Output scores data
              while($row = $result->fetch_assoc()) {
                  $scoreId = $row ['id'];
                  $score = $row['score'];
                  $weight = $row['weight'];
                  // Date in dd/mm/yyyy format
                  $date = substr($row['dat'], -2).'/'.substr($row['dat'], -5,2).'/'.substr($row['dat'], -10, 4);
                  // Close PHP code
                  ?>

                  <!-- List of scores -->
                  <li id="<?=$scoreId?>" class="scoreRow" data-score="<?=$score?>" data-weight="<?=$weight?>"><?=$date?>: <?=$score?> (<?=$weight?>%)</li>
                  <!-- Open PHP code -->
                  <?php
                  }
                // Close PHP code
                ?>
    </ul>
  </div>

  <!-- Delays list -->
  <div id="delaysWrapper">
    <ul id="delaysList">
    <!-- Open PHP code -->
    <?php
          // Get delays data from database
          $sql = "SELECT id, justified, dat FROM delays WHERE student_id ='$studentId'";
          $result = $conn->query($sql);
              // Output delays data
              while($row = $result->fetch_assoc()) {
                  $delayId = $row ['id'];
                  $justified =$row ['justified'];
                  // Date in dd/mm/yyyy format
                  $date = substr($row['dat'], -2).'/'.substr($row['dat'], -5,2).'/'.substr($row['dat'], -10, 4);
                  // Close PHP code
                  ?>

                  <!-- List of delays -->
                  <li id="<?=$delayId?>" class="delayRow" data-justified="<?=$justified?>"><?=$date?>: <?=$justified?> justificada</li>
                  <!-- Open PHP code -->
                  <?php
                  }
                // Close PHP code
                ?>
    </ul>
  </div>

  <!-- Absences list -->
  <div id="absencesWrapper">
    <ul id="absencesList">
    <!-- Open PHP code -->
    <?php
          // Get absences data from database
          $sql = "SELECT id, justified, dat FROM absences WHERE student_id ='$studentId'";
          $result = $conn->query($sql);

                // output data of each row
                while($row = $result->fetch_assoc()) {
                    $absenceId = $row ['id'];
                    $justified =$row ['justified'];
                    // Date in dd/mm/yyyy format
                    $date = substr($row['dat'], -2).'/'.substr($row['dat'], -5,2).'/'.substr($row['dat'], -10, 4);

                  ?>

                  <!-- List of absences -->
                  <li id="<?=$absenceId?>" class="absenceRow" data-justified="<?=$justified?>"><?=$date?>: <?=$justified?> justificada</li>
                  <!-- Open PHP code -->
                  <?php
                  }
                // Close PHP code
                ?>
    </ul>
  </div>

  <!-- Incidences list -->
  <div id="incidencesWrapper">
    <ul id="incidencesList">
    <!-- Open PHP code -->
    <?php
          // Get incidences data from database
          $sql = "SELECT id, dat, incidence FROM incidences WHERE student_id ='$studentId'";
          $result = $conn->query($sql);
              // Output incidences data
              while($row = $result->fetch_assoc()) {
                  $incidenceId = $row ['id'];
                  $incidence = $row ['incidence'];
                  // Date in dd/mm/yyyy format
                  $date = substr($row['dat'], -2).'/'.substr($row['dat'], -5,2).'/'.substr($row['dat'], -10, 4);
                  // Close PHP code
                  ?>

                  <!-- List of incidences -->
                  <li id="<?=$incidenceId?>" class="incidenceRow" data-incidence="<?=$incidence?>"><?=$date?>: <?=$incidence?></li>
                  <!-- Open PHP code -->
                  <?php
                  }
                // Close PHP code
                ?>
    </ul>
  </div>

</body>
</html>
